; #########################################
; ## "All the Keys v1.0" by John Wyrwas  ##
; ##       20002016 - 20002019           ##
; #########################################
;
; Includes the Getkey keys values, Getcsc (getk), and Direct Input
; key values.  They start with Gk, G, and K respectively and most contain
; the writing on the key.
;
; To use, unzip in your tasm directory and use #include keyval.inc
;
;
; #################
; ## Getkey Keys ##
; #################
; (the TI-OS does NOT recognize values from lowercase letter input- all are 0FC)
;
;Numbers
Gk0		.equ $8E
Gk1		.equ $8F
Gk2		.equ $90
Gk3		.equ $91
Gk4		.equ $92
Gk5		.equ $93
Gk6		.equ $94
Gk7		.equ $95
Gk8		.equ $96
Gk9		.equ $97
; Uppercase Letters
GkA		.equ $9A
GkB		.equ $9B
GkC		.equ $9C
GkD		.equ $9D
GkE		.equ $9E
GkF		.equ $9F
GkG		.equ $A0
GkH		.equ $A1
GkI		.equ $A2
GkJ		.equ $A3
GkK		.equ $A4
GkL		.equ $A5
GkM		.equ $A6
GkN		.equ $A7
GkO		.equ $A8
GkP		.equ $A9
GkQ		.equ $AA
GkR		.equ $AB
GkS		.equ $AC
GkT		.equ $AD
GkU		.equ $AE
GkV		.equ $AF
GkW		.equ $B0
GkX		.equ $B1
GkY		.equ $B2
GkZ		.equ $B3
; Other Keys
GkMode		.equ $45
GkIns		.equ $0B
GkDel		.equ $0A
GkRight		.equ $01
GkLeft		.equ $02
GkUp		.equ $03
GkDown		.equ $04
GkXTN		.equ $B4
GkLink		.equ $41
GkStat		.equ $31
GkList		.equ $3A
GkMath		.equ $32
GkTest		.equ $33
GkApps		.equ $2C
GkAngle		.equ $39
GkPrgm		.equ $2D
GkDraw		.equ $2F
GkVars		.equ $35
GkDistr		.equ $38
GkClear		.equ $09
GkX1		.equ $B6
GkMatrix	.equ $37
GkSin		.equ $B7
GkSin1		.equ $B8
GkCos		.equ $B9
GkCos1		.equ $BA
GkTan		.equ $BB
GkTan1		.equ $BC
GkPower		.equ $84
GkPi		.equ $B5
GkX2		.equ $BD
GkRoot		.equ $BE
GkComma		.equ $8B
GkEE		.equ $98

GkRightPar	.equ 86h
GkLeftPar	.equ 85h

GkDivide	.equ 83h
GkMultiply	.equ 82h
GkSubtract	.equ 81h
GkAdd		.equ 80h
GkEnter		.equ 05h

GkLittleE	.equ $EF
GkLeftBracket	.equ 87h
GkRightBracket	.equ 88h
GkMem		.equ 36h
GkEntry		.equ 0Dh
GkQuotes	.equ $CB
GkSolve		.equ 05h


GkLog		.equ $C1
GkLn		.equ $BF
GkSto		.equ $8A
Gk10X		.equ $C2
GkeX		.equ $C0
GkRcl		.equ $0C

GkLittleU 	.equ $F9
GkLittleV	.equ $FA
GkLittleW	.equ $FB
GkLittleI	.equ $EE

GkL1		.equ $F3
GkL2		.equ $F4
GkL3		.equ $F5
GkL4		.equ $F6
GkL5		.equ $F7
GkL6		.equ $F8

GkCatalog	.equ 3Eh
GkAns		.equ $C5
GkSpace		.equ 99h
GkColon		.equ $C6
GkQuestion	.equ $CA
GkPeriod	.equ 8Dh
GkNegative	.equ 8Ch

GkF1		.equ 49h
GkF2 		.equ 48h
GkF3		.equ 2Eh
GkF4		.equ 5Ah
GkF5		.equ 44h

GkStatPlot	.equ 30h
GkTblset	.equ 4Bh
GkFormat	.equ 57h
GkCalc		.equ 3Bh
GkTable		.equ 4Ah


;############################
;##     Getcsc/Getk Keys   ##
;############################

GF1		.equ 35h
GF2		.equ 34h
GF3		.equ 33h
GF4		.equ 32h
GF5		.equ 31h

G2nd		.equ 36h
GMode		.equ 37h
GDel		.equ 38h

GDown		.equ 01h
GLeft		.equ 02h
GRight		.equ 03h
GUp		.equ 04h

GAlpha		.equ 30h
GXTN		.equ 28h
GStat		.equ 20h
GMath		.equ 2Fh
GApps		.equ 27h
GPrgm		.equ 1Fh
GVars		.equ 17h
GClear		.equ 0Fh
GX1		.equ 2Eh
GSin		.equ 26h
GCos		.equ 1Eh
GTan		.equ 16h
GPower		.equ 0Eh
GX2		.equ 2Dh
GComma 		.equ 25h
GLeftPara	.equ 1Dh
GRightPara	.equ 15h

GDivide		.equ 0Dh
GMultiply	.equ 0Ch
GSubtract	.equ 0Bh
GAdd		.equ 0Ah
GEnter		.equ 09h
GLog		.equ 2Ch
GLn		.equ 2Bh
GSto		.equ 2Ah

G0		.equ 21h
G1		.equ 22h
G2		.equ 1Ah
G3		.equ 12h
G4		.equ 23h
G5		.equ 1Bh
G6		.equ 13h
G7		.equ 24h
G8		.equ 1Ch
G9		.equ 14h

GPeriod 	.equ 8Dh
GNegative	.equ 8Ch

;#######################
;## Direct Input Keys ##
;#######################

;Group 1
KeyRow_Pad	.equ $fe
dKDown		.equ 254
dKLeft		.equ 253
dKRight		.equ 251
dKUp		.equ 247

;Group 2
KeyRow_5 	.equ $fd
dKEnter		.equ 254
dKPlus		.equ 253
dKMinus		.equ 251
dKMul		.equ 247
dKDiv		.equ 239
dKPower		.equ 223
dKClear		.equ 191

;Group 3
KeyRow_4 	.equ $fb
dKMinus2		.equ 254
dKThree		.equ 253
dKSix		.equ 251
dKNine		.equ 247
dKRbracket	.equ 239
dKTan		.equ 223
dKVars		.equ 191

;Group 4
KeyRow_3	.equ $f7
dKPoint		.equ 254
dKTwo		.equ 253
dKFive		.equ 251
dKEight		.equ 247
dKLbracket	.equ 239
dKCos		.equ 223
dKPrgm		.equ 191
dKStat		.equ 127

;Group 5
KeyRow_2 	.equ $ef
dKZero		.equ 254
dKOne		.equ 24453
dKFour		.equ 251
dKSeven		.equ 247
dKComma		.equ 239
dKSin		.equ 223
dKMatrx		.equ 191
dKX		.equ 127

;Group 6
KeyRow_1 	.equ $df
dKSto		.equ 253
dKLn		.equ 251
dKLog		.equ 247
dkX2		.equ 239
dkX-1		.equ 223
dkMath		.equ 191
dkAlpha		.equ 127

;Group 7
KeyRow_Top 	.equ $bf
dKGraph		.equ 254
dKTrace		.equ 253
dKZoom		.equ 251
dKWindow		.equ 247
dKY		.equ 239
dk2nd		.equ 223
dkMode		.equ 191
dkDel		.equ 127


